Bug 1031558 - Trying to add VNIC profile from "Edit Logical Network" window fails with error message
Trying to add VNIC profile from "Edit Logical Network" window fails with erro...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Linux
low Severity high
: ---
: 3.3.0
Assigned To: Lior Vernia
GenadiC
network
: Triaged
Depends On:
Blocks: 3.3rc1
  Show dependency treegraph
 
Reported: 2013-11-18 04:55 EST by GenadiC
Modified: 2016-02-10 14:56 EST (History)
11 users (show)

See Also:
Fixed In Version: is27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:13:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 22038 None None None Never

  None (edit)
Description GenadiC 2013-11-18 04:55:23 EST
Description of problem:
Adding VNIC profile while Editing specific Network fails with error message "
You get Error while executing action: Cannot edit Network. Several virtual machines are using this logical network"
Though creation of VNIC profile from "Profiles" subtab for that network succeeds 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a network and add it a VNIC profile
2. Put network with this profile on VM
3. Try to create a new VNIC profile from "Edit Logical Network" window

Actual results:
You get Error while executing action: Cannot edit Network. Several virtual machines are using this logical network:

Expected results:
Operation should succeed or should be blocked from the window for editing network

Additional info:
Creating the new profile from Profile subtab for that network succeeds
Comment 1 Lior Vernia 2013-12-04 04:06:51 EST
Might as well be fixed together with Bug 1031577 for 3.3.
Comment 2 Lior Vernia 2013-12-04 10:28:43 EST
Fixed by simply not allowing to edit the profiles of an existing VM network - this can and should be performed through the dedicated Network/Profiles subtab. The profiles tab of the dialog will only be visible if it's a new VM network being created, or an existing non-VM network being changed to a VM network.
Comment 3 Martin Pavlik 2013-12-13 04:57:45 EST
verified in is27
Comment 4 Itamar Heim 2014-01-21 17:13:29 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:21:23 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.